Subject: Re: linux-next: Tree for Feb 13 (runtime failures and 'non-zero nr_pmds' messages)

From: Guenter Roeck <[email-masked]>
Date: Fri, 13 Feb 2015 20:45:40 -0800

Hi Stephen,

On 02/13/2015 03:37 PM, Stephen Rothwell wrote:
> Hi Guenter,
>
> On Fri, 13 Feb 2015 10:54:28 -0800 Guenter Roeck <[email-masked]> wrote:
>>
>> I see a number of runtime failures with this version.
>> It affects alpha, mips64, ppc64, and x86_64.
>> Symptom is always the same. There are lots of
>>
>> BUG: non-zero nr_pmds on freeing mm: X (where X is 1..4)
>>
>> messages in the log, and the affected VMs don't reboot.
>>
>> I don't see the problem in curent mainline, nor in mmotm.
>> Bisect points to "Merge branch 'akpm-current/current'",
>> which isn't really helpful.
>>
>> Not sure if this is a bad merge resolution, so just take this
>> as a heads-up for now.
>
> Yours is the second report overnight (see attached).  Almost certainly
> a bad merge resolution on my part (its a bit hard when Andrew get part
> of his patch set merged by Linus :-()
>
And now Fengguang's tests caught it as well.

> I will fix up the merge on Monday (unless Andrew gets more stuff merged
> or updates mmotm for me).
>
> Sorry about that.
>

No worries. Good news is that test coverage is getting better.

Guenter